> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payment Request

> Update a payment request's details before completion



## OpenAPI

````yaml put /v1/payment-requests/{request_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/payment-requests/{request_id}:
    put:
      summary: Update Payment Request
      description: This endpoint is to update the payment request.
      operationId: update-payment-request
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: request_id
          in: path
          description: It's payment request id
          schema:
            type: string
            'format:': uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - currency
              properties:
                amount:
                  type: number
                  description: It's required field. Amount related to the payment.
                  format: double
                  example: 100
                  minimum: 0.3
                  maximum: 999999999.99
                currency:
                  type: string
                  maxLength: 3
                  example: SGD
                  description: Currency related to the payment.
                payment_methods:
                  type: array
                  description: >-
                    Payment method type (paynow_online , card, wechat, alipay,
                    grabpay_direct, grabpay_paylater, shopee_pay, zip, fpx). If
                    we don't pass, use the available methods
                  items:
                    type: string
                email:
                  type: string
                  format: email
                  description: Buyer’s email
                name:
                  type: string
                  description: Buyer’s name
                phone:
                  type: string
                  format: phone
                  description: Buyer’s phone number
                wifi_terminal_id:
                  type: string
                  description: >-
                    It's terminal id and it's required if payment method is
                    wifi_card_reader
                staff_id:
                  type: string
                  format: uuid
                  description: It's active staff id from the dashboard
                  example: 98888a24-d6b2-430d-9063-d2be76d443cd
                purpose:
                  type: string
                  description: Purpose of the Payment request.
                  maxLength: 255
                reference_number:
                  type: string
                  maxLength: 255
                  description: >-
                    Arbitrary reference number that you can map to your internal
                    reference number. This value cannot be edited by the
                    customer
                redirect_url:
                  type: string
                  format: uri
                  maxLength: 1028
                  example: https://www.google.com
                  description: >-
                    URL where we redirect the user after a payment. Query
                    arguments reference (payment request id) and status are sent
                    along
                webhook:
                  type: string
                  format: uri
                  example: https://www.google.com
                  description: URL where our server do POST request after a payment If done
                allow_repeated_payments:
                  type: string
                  description: >-
                    If set to true, multiple payments can be paid on a payment
                    request link. Default value is false
                  default: 'false'
                  enum:
                    - 'true'
                    - 'false'
                expiry_date:
                  type: string
                  description: >-
                    Time after which the payment link will be expired(time in SG
                    with YYYY-MM-DD HH:mm:ss format). Applicable for repeated
                    payments. Default is Null
                expires_after:
                  type: string
                  description: >-
                    E.g "30 mins" Other supported keys are "mins", "hours",
                    "days"
                  example: 5 minutes
                add_admin_fee:
                  type: string
                  description: If set to true, the admin fee will be included in total.
                  default: 'false'
                  enum:
                    - 'true'
                    - 'false'
                send_email:
                  type: string
                  description: >-
                    It's "true" or "false". If set to true, an email receipt
                    will be sent to the customer after the payment is completed.
                    Default is false
                  default: 'false'
                  enum:
                    - 'true'
                    - 'false'
                send_sms:
                  type: string
                  description: >-
                    It's "true" or "false". If set to "true", SMS will be sent
                    to the customer after the payment is completed. Default is
                    false
                  default: 'true'
                  enum:
                    - 'true'
                    - 'false'
                address:
                  type: object
                  required:
                    - line1
                    - city
                    - state
                    - country
                    - postal_code
                  properties:
                    line1:
                      type: string
                    line2:
                      type: string
                    city:
                      type: string
                    country:
                      type: string
                    state:
                      type: string
                    postal_code:
                      type: string
                generate_qr:
                  type: boolean
                  default: false
                  description: >-
                    Only valid for payment methods:  paynow_online,
                    qrph_netbank, doku_qris and shopee_pay if generate_qr was
                    true
      responses:
        '200':
          description: '200'
          content: {}
      deprecated: false
      security: []

````